Method: artifacts.patch

Full name: projects.locations.metadataStores.artifacts.patch

Updates a stored Artifact.

Endpoint

patch https://{service-endpoint}/v1/{artifact.name}

PATCH https://{service-endpoint}/v1/{artifact.name}

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

artifact.name string

Output only. The resource name of the Artifact.

Query parameters

updateMask string (FieldMask format)

Optional. A FieldMask indicating which fields should be updated.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

allowMissing boolean

If set to true, and the Artifact is not found, a new Artifact is created.

Request body

The request body contains an instance of Artifact.

Response body

If successful, the response body contains an instance of Artifact.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.artifacts.update

For more information, see the IAM documentation.